import multiprocessing as mp
import cv2

qq = mp.Queue(10)

def acq(q):
    cam = cv2.VideoCapture(0)
    while True:
        ret, img = cam.read()
        q.put(img)

def save(q):
    i = 0
    while True:
        i += 1
        img = q.get()
        str = 'mp{}.jpg'.format(i)
        cv2.imwrite(str, img)

if __name__ == '__main__':
    mp1 = mp.Process(target=acq, args=[qq])
    mp1.daemon = True
    mp1.start()

    mp2 = mp.Process(target=save, args=[qq])
    mp2.daemon = True
    mp2.start()

while True:
    pass