import cv2
import numpy as np


# This are some definitions:
input_path = "raw_image.jpg"
output_path = "coded.bmp"
t1 = 'Text1.txt'
t2 = 'Text2.txt'
t3 = 'Text3.txt'
doIt4First = True
doIt4Second = True
doIt4Third = True

# Script body
raw_array = cv2.imread(input_path)
size = [len(raw_array), len(raw_array[0])]

with open(t1) as file_1:
    data1 = bytearray(file_1.read())
    len1 = len(data1)
#print(raw_array[0][0][0])
with open(t2) as file_2:
    data2 = bytearray(file_2.read())
    len2 = len(data2)

with open(t3) as file_3:
    data3 = bytearray(file_3.read())
    len3 = len(data3)

for y in range(size[0]):
    for x in range(size[1]):
        i = y * size[1] + x
        i1 = divmod(i, len1)[1]
        i2 = divmod(i, len2)[1]
        i3 = divmod(i, len3)[1]
        #print(i1, i2, i3, i, x, y)
        if doIt4First:
            raw_array[y][x][0] = data1[i1]
        if doIt4Second:
            raw_array[y][x][1] = data2[i2]
        if doIt4Third:
            raw_array[y][x][2] = data3[i3]

cv2.imwrite(output_path, raw_array)
